## clamav 0.99.2+dfsg

=== debian/changelog ===
clamav (0.99.2+dfsg-6) unstable; urgency=medium

  * Fix detection of curl. Patch by Reiner Herrmann <reiner@reiner-h.de>
    (Closes: #852894).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 04 Feb 2017 21:54:51 +0100

clamav (0.99.2+dfsg-5) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Add patches to support LLVM 3.7-3.9.
  * Re-enable llvm support.
  * Update embedded-library lintian override for multiarch locations.
  * Update standards version to 3.9.8. (no changes needed)
  * Mark clamav-docs and clamav-testfiles as Multi-Arch foreign and
    libclamav7 as same.
  * Fix spelling errors in the debian files. (Closes: #825055)
  * Remove unused package-contains-timestamped-gzip lintian-override.
  * Fix wildcard-matches-nothing-in-dep5-copyright lintian warning.

  [ Sebastian Andrzej Siewior ]
  * Remove clamav-daemon.service.d on purge (Closes: #842074).
  * Fix FTCBFS: Annotate interpreter dependencies with :native. Patch by
    Helmut Grohne (Closes: #844066).
  * Drop bc from B-D, it seems we no longer need it.
  * Cherry-pick patch from bb11549 to fix a temp file cleanup issue
    (Closes: #824196).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 Dec 2016 23:24:48 +0100

clamav (0.99.2+dfsg-4) unstable; urgency=medium

  * Remove Stephen Gran as Uploader and thank you for your work
    (Closes: #838405).
  * Drop llvm supported for now. The bytecode will be interpreted by clamav
    instead of llvm's JIT - there is no loss in functionality. It will come back
    once we llvm support again (Closes: #839850).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 06 Oct 2016 21:13:04 +0200

clamav (0.99.2+dfsg-3) unstable; urgency=medium

  * BD on dh-strip-nondeterminism.
  * get it compiled against openssl 1.1.0 (Closes: #828083).
  * Drop support for clamav-daemon.socket. Should avoid restart loops if clamd
    crashes on start (via OOM for instance). (Closes: #824042).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 25 Aug 2016 21:07:04 +0200

clamav (0.99.2+dfsg-2) unstable; urgency=medium

  * Ensure the users of PRIVATE symbols (clamd + freshclam) do not fall
    behind a upstream version (Closes: #824485).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 19 May 2016 20:04:02 +0200

clamav (0.99.2+dfsg-1) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * also remove bytecode.cld on purge
  * Update to new upstream release 0.99.2
  * Drop AllowSupplementaryGroups option which is default now
    (Closes: #822444).
  * Let the LSB init script have more consistent output. Patch by Guillem
    Jover (Closes: #823074).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 07 May 2016 20:39:36 +0200

clamav (0.99.1+dfsg-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update version guards for pid file checks in clamav-daemon and clamav-
    freshclam to account for squeeze-lts upload that did not include the
    related change
  * Bump standards version to 3.9.7 without further change
  * Bump debhelper minimum version requirement to 9 to match compat
  * Drop squeeze related work-arounds now that squeeze-lts is no longer
    supported
    - Strip llvm from the upstream tarball in Files-Excluded to make it more
      compatct (system llvm is always used now)
    - Clean up debian/rules by removing squeeze specific configuration and
      work arounds

  [ Adriano Rafael Gomes ]
  * Brazilian Portuguese debconf templates translation (Closes: #816956).

  [ Sebastian Andrzej Siewior ]
  * Import new upstream
  * Drop patches applied upstream:
    - add-LLVM-3.6-support.patch
    - libclamav-yara-avoid-unaliged-access-to-64bit-variab.patch
  * add new clamd.conf options.
  * update symbol version for cl_retflevel due to CL_FLEVEL change.
  * use a https:// prefix in VCS-* links and for the homepage.
  * use "hardening=+all" for building.
  * fixup typos in copyright file
  * exclude .zip files dh_strip_nondeterminism because it currently breaks
    them. This `repairs' the .zip files in clamav-testfiles.
  * Update pid checks clamav-daemon and clamav-freshclam match lower than 0.99
    version (to catch the upgrade path).
  * Apply malloc() check, from clamav's bugzilla #11524, #11526, #11529

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 11 Mar 2016 23:32:45 +0100

clamav (0.99+dfsg-2) unstable; urgency=medium

  * Use compat 9 and drop clamav-dbg in favour of dbgsym.
  * use libtfm-dev instead of in-tree copy and drop all tfm related patches.
  * Add libclamav-yara-avoid-unaliged-access-to-64bit-variab.patch to get the
    testsuite passed on sparc. It also seem avoid invalid loads on ARMv5 cpus.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 21 Feb 2016 15:25:59 +0100
