=== libclamav/c++/llvm/lib/ExecutionEngine/Makefile ===
##===- lib/ExecutionEngine/Makefile ------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ../..
LIBRARYNAME = LLVMExecutionEngine
PARALLEL_DIRS = Interpreter JIT

include $(LEVEL)/Makefile.common
