=== debian/changelog ===
clamav (0.99.4+addedllvm-0ubuntu1) bionic; urgency=medium

  * Updated to 0.99.4 to fix multiple security issues
    - CVE-2018-0202
    - CVE-2018-1000085
  * Removed patches no longer required
    - bb11549-fix-temp-file-cleanup-issue.patch
  * debian/libclamav7.symbols,debian/rules: bumped cl_retflevel.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Mar 2018 12:07:58 +0100

clamav (0.99.3+addedllvm-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:47:33 +0000

clamav (0.99.3+addedllvm-0ubuntu1) bionic; urgency=medium

  * Updated to final 0.99.3 release. Previous beta release was based on the
    dev tree, but 0.99.3 ended up being a security update to 0.99.2, so
    some changes and functionality is reverted with this upload.
    - Add back patches still needed with final 0.99.3:
      + Allow-M-suffix-for-PCREMaxFileSize.patch
      + bb11549-fix-temp-file-cleanup-issue.patch
      + drop-AllowSupplementaryGroups-option-and-make-it-def.patch
      + fix-ssize_t-size_t-off_t-printf-modifier.patch
      + libclamav-use-libmspack.patch
    - debian/clamav-daemon.postinst.in: remove new options.
    - debian/libclamav7.symbols: updated for 0.99.3.
    - debian/libclamav7.symbols,debian/rules: bumped cl_retflevel.
    - debian/rules: remove --with-system-libmspack.
    - debian/patches/*: refreshed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Feb 2018 08:18:35 -0500

clamav (0.99.3~beta1+dfsg-2ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:32 +0000

clamav (0.99.3~beta1+dfsg-2ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1732439). Remaining changes:
    - Fix build by forcing llvm 3.9
      (testsuite seems to be failing)
    - debian/patches/fix_newer_zlib.patch: fix compatibility with zlib
      1.2.9 and newer (LP #1692073).
      [DEP3 header updated to indicate it was incorporated upstream]
  * Drop:
    * debian/patches/zlib-check.patch:
      + cherry-pick upstream fix for wrong zlib version check
        [Fixed upstream]
    - SECURITY UPDATE: DoS via crafted e-mail message
      + debian/patches/CVE-2017-6418.patch: fix invalid read in
        libclamav/message.c.
      + CVE-2017-6418
        [Fixed upstream]
    - SECURITY UPDATE: DoS via WWPack compression
      + debian/patches/CVE-2017-6420.patch: add bounds checks to
        libclamav/wwunpack.c.
      + debian/patches/CVE-2017-6420-2.patch: fix unit tests in
        libclamav/wwunpack.c, unit_tests/check_jsnorm.c.
      + CVE-2017-6420
        [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 22 Nov 2017 19:56:26 -0200

clamav (0.99.3~beta1+dfsg-2) unstable; urgency=medium

  * Build again against system's libmspack (dropped by accident)
    (Closes: #872594).
  * Don't replace config file with sample config after debconf gets disabled
    (in milter and daemon (Closes: #870253).
  * Update standards to 4.0.1
    - use invoke-rc.d instead of /etc/init.d.
    - drop priority extra from clamav-milter.
  * Add bytecode.c(l|v)d to log clamav-freshclam.logcheck.ignore.server. Patch
    by Václav Ovsík <vaclav.ovsik@gmail.com> (Closes: #868766).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 02 Sep 2017 21:26:33 +0200

clamav (0.99.3~beta1+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * update to official beta1 release:
    - drop fts-no-use-AC_TRY_RUN.patch, applied upstream.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 06 Aug 2017 22:13:23 +0200

clamav (0.99.3~snapshot20170704+dfsg-1) experimental; urgency=medium

  * Update to upstream snapshot (commit
    144ef69462427b63a650294257c892b047601aac):
    - add config options
    - boost symbol file
    - drop applied patches:
      - Allow-M-suffix-for-PCREMaxFileSize.patch
      - bb11549-fix-temp-file-cleanup-issue.patch
      - clamav_add_private_fts_implementation.patch
      - drop-AllowSupplementaryGroups-option-and-make-it-def.patch
      - fix-ssize_t-size_t-off_t-printf-modifier.patch
      - libclamav-use-libmspack.patch
      - make_it_compile_against_openssl_1_1_0.patch
    - add new ones:
      - fts-no-use-AC_TRY_RUN.patch
      - clamsubmit-add-JSON-libs-to-clamsubmit.patch

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 10 Jul 2017 00:06:32 +0200

clamav (0.99.2+dfsg-6ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: DoS via crafted e-mail message
    - debian/patches/CVE-2017-6418.patch: fix invalid read in
      libclamav/message.c.
    - CVE-2017-6418
  * SECURITY UPDATE: DoS via WWPack compression
    - debian/patches/CVE-2017-6420.patch: add bounds checks to
      libclamav/wwunpack.c.
    - debian/patches/CVE-2017-6420-2.patch: fix unit tests in
      libclamav/wwunpack.c, unit_tests/check_jsnorm.c.
    - CVE-2017-6420
  * debian/patches/fix_newer_zlib.patch: fix compatibility with zlib
    1.2.9 and newer (LP: #1692073).

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Aug 2017 16:04:46 -0400

clamav (0.99.2+dfsg-6ubuntu1) artful; urgency=medium

  * Fix build by forcing llvm 3.9
    (testsuite seems to be failing)
  * debian/patches/zlib-check.patch:
    - cherry-pick upstream fix for wrong zlib version check

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2017 11:18:30 +0200

clamav (0.99.2+dfsg-6build1) artful; urgency=medium

  * Rebuild against new llvm versioned symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 May 2017 22:33:23 +0200
