=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: clamav
 Section: utils
 Priority: optional
-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Michael Tautschnig <mt@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
@@ -26,13 +27,13 @@
                libsystemd-dev [linux-any],
                libtfm-dev,
                libxml2-dev,
-               llvm-dev [i386 amd64 kfreebsd-amd64 kfreebsd-i386],
+               llvm-3.9-dev [i386 amd64 kfreebsd-amd64 kfreebsd-i386],
                perl:native,
                pkg-config,
                po-debconf,
                python:native,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/clamav.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/clamav.git
 Homepage: https://www.clamav.net/
@@ -246,7 +247,6 @@
 Package: clamav-milter
 Architecture: any
 Suggests: clamav-docs, daemon [!hurd-any]
-Priority: extra
 Recommends: clamav-daemon
 Depends: adduser,
          clamav-base (>= ${source:Version}),
