=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 ifeq (,$(filter $(DEB_HOST_ARCH), i386 amd64 kfreebsd-amd64 kfreebsd-i386))
   export enable_llvm=no
 else
-    SYSTEM_LLVM = -with-system-llvm=/usr/bin/llvm-config --with-llvm-linking=dynamic
+    SYSTEM_LLVM = -with-system-llvm=/usr/bin/llvm-config-3.9 --with-llvm-linking=dynamic
 endif
 
 # Set the configure options:
@@ -96,11 +96,11 @@
 	  fi;\
 	done; \
 	# Check if for library features whih may get upgrade.
-	if ! grep -q "CL_FLEVEL 82" libclamav/others.h ; then \
+	if ! grep -q "CL_FLEVEL 85" libclamav/others.h ; then \
 		echo "cl_retflevel needs boosting in symbol file"; \
 		touch debian/exit; \
 	fi;
-	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell dpkg-parsechangelog -S Version | sed 's/+dfsg.*//')/" \
+	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell dpkg-parsechangelog -S Version | sed 's/+addedllvm.*//')/" \
 		< debian/libclamav7.symbols > debian/libclamav7.symbols.latest
 	if ! cmp debian/libclamav7.symbols debian/libclamav7.symbols.latest; then \
 		echo "Need to update CLAMAV_PRIVATE symbols"; \
